Loading...
Searching...
No Matches
EST_StringTrie Class Reference

`#include <include/EST_StringTrie.h>`

## Public Member Functions

| EST_StringTrie (const EST_StringTrie &trie)
void | copy (const EST_StringTrie &trie)
void * | lookup (const EST_String &key) const
| Find contents index by {\tt key}, 0 if there is not contents.
void | add (const EST_String &key, void *item)
| Add {\tt item} indexed by {\tt key}, overwriting previous contents.
void | clear (void)
| Delete the tree.
void | clear (void(*deletenode)(void *n))
| Delete the tree, apply {\tt deletenote} function to each {\tt contents}.
EST_StringTrie & | operator= (const EST_StringTrie &a)

## Detailed Description

A string tree index class for indexing arbitrary objects by strings of characters.

Note this only deals with 7 but characters, and can only hold one item per index key.

Definition at line 83 of file EST_StringTrie.h.

## Constructor & Destructor Documentation

## EST_StringTrie() [1/2]

EST_StringTrie::EST_StringTrie | ( |  | ) |

Definition at line 126 of file EST_StringTrie.cc.

## EST_StringTrie() [2/2]

EST_StringTrie::EST_StringTrie | ( | const EST_StringTrie & | trie | ) |

inline

Definition at line 90 of file EST_StringTrie.h.

## ~EST_StringTrie()

EST_StringTrie::~EST_StringTrie | ( |  | ) |

Definition at line 139 of file EST_StringTrie.cc.

## Member Function Documentation

## copy()

void EST_StringTrie::copy | ( | const EST_StringTrie & | trie | ) |

Definition at line 131 of file EST_StringTrie.cc.

## lookup()

void * EST_StringTrie::lookup | ( | const EST_String & | key | ) | const

Find contents index by {\tt key}, 0 if there is not contents.

Definition at line 144 of file EST_StringTrie.cc.

## add()

void EST_StringTrie::add | ( | const EST_String & | key,
|  | void * | item )

Add {\tt item} indexed by {\tt key}, overwriting previous contents.

Definition at line 150 of file EST_StringTrie.cc.

## clear() [1/2]

void EST_StringTrie::clear | ( | void |  | ) |

Delete the tree.

Definition at line 157 of file EST_StringTrie.cc.

## clear() [2/2]

void EST_StringTrie::clear | ( | void(* | deletenode )(void *n) | ) |

Delete the tree, apply {\tt deletenote} function to each {\tt contents}.

Definition at line 163 of file EST_StringTrie.cc.

## operator=()

EST_StringTrie & EST_StringTrie::operator= | ( | const EST_StringTrie & | a | ) |

inline

Definition at line 105 of file EST_StringTrie.h.

The documentation for this class was generated from the following files:

- include/EST_StringTrie.h
- base_class/EST_StringTrie.cc